Package com.avaya.clientservices.messaging.enums

## Enum MessageType

- java.lang.Object
- - java.lang.Enum<MessageType>
  - - com.avaya.clientservices.messaging.enums.MessageType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<MessageType>`

      public enum MessageType
      extends java.lang.Enum<MessageType>

  Describes the possible types of messages that can be included in a conversation.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CLOSED` | Closed type is used to notify that the conversation has been closed.
    `JOINED` | Joined type is used to notify that new participant has joined the conversation.
    `LEFT` | Left type is used to notify that existing participant has left the conversation.
    `MESSAGE` | Messages of this type contain either body text, attachments, or both.
    `SESSION` | Session type is used to notify that conversation was escalated to audio/video.
    `START` | A message of this type is the first message in every conversation.
    `SUBJECT_CHANGED` | SubjectChanged type is used to notify that Subject of conversation has changed.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MessageType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static MessageType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### START

          public static final MessageType START

      A message of this type is the first message in every conversation. There is no content associated with this message.

    - #### MESSAGE

          public static final MessageType MESSAGE

      Messages of this type contain either body text, attachments, or both. Most messages in a conversation are of this type.

    - #### JOINED

          public static final MessageType JOINED

      Joined type is used to notify that new participant has joined the conversation.

    - #### LEFT

          public static final MessageType LEFT

      Left type is used to notify that existing participant has left the conversation.

    - #### SESSION

          public static final MessageType SESSION

      Session type is used to notify that conversation was escalated to audio/video.

    - #### SUBJECT_CHANGED

          public static final MessageType SUBJECT_CHANGED

      SubjectChanged type is used to notify that Subject of conversation has changed.

    - #### CLOSED

          public static final MessageType CLOSED

      Closed type is used to notify that the conversation has been closed.

  - ### Method Detail

    - #### values

          public static MessageType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MessageType c : MessageType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MessageType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null